function [xi,eta] = Kelvin(x,y)

% Invert (x,y) thru the unit circle. The quantities x and y can be one or
% two dimensional real arrays.

[nr,nc] = size(x);
xi = zeros(nr,nc); eta = zeros(nr,nc);

for i=1:nr
    for j=1:nc
        if x(i,j) == inf && y(i,j) == inf
            xi(i,j) = 0; eta(i,j) = 0;
        elseif x(i,j) == 0 && y(i,j) == 0 
            xi(i,j) = inf; eta(i,j) = inf;
        else
            rsq = x(i,j)^2 + y(i,j)^2;
            xi(i,j) = x(i,j)/rsq; eta(i,j) = y(i,j)/rsq;
        end
    end
end

end % Kelvin

