function [lower,upper] = find_interval(z,t)

% t is a vector containing an increasing sequence of real numbers, and z is
% a given number located between the smallest and largest of the entries in
% the vector t.  This routine locates the subinterval containing t,
% returning the indices of the entries from t containing z.  This is a
% binary search algorithm.

n = length(t);

lower = 1; upper = n;

while upper-lower > 1
    middle = floor((upper+lower)/2);
    if z > t(middle)
        lower = middle;
    else
        upper = middle;
    end
end

if upper-lower == 0
    if upper == n
        lower = n-1;
    else
        upper = lower+1;
    end
end

return
        