function [nodes,wts] = gauss_nodes_wts(n,a,b)

% Gauss-Legendre nodes and weights
%
% a,b   -  integration limits
% n     -  order of formula 
% nodes,wts -  Gauss base points and weight factors on [a,b]

u = (1:n-1)./sqrt((2*(1:n-1)).^2-1);
[vc,bp] = eig(diag(u,-1)+diag(u,1));
[bp,k] = sort(diag(bp));
wts = (b-a)*vc(1,k)'.^2; 
nodes = (a+b)/2+((b-a)/2)*bp;

end % gauss_nodes_wts