function value = bdyfcn(t,x,y,index_f)

% Evaluate the Dirichlet boundary data.  The array t contains
% parameterization points in the given integration interval.  The points
% (x(i),y(i) correspond to t(i).

switch index_f
case 1
    value = exp(x).*cos(y);
case 2
    value = x;
case 3
    value = x.^2 - y.^2;
case 4
    value = ones(size(x));
end

