function draw_bdy_polygon(curve_obj,num_plot_points)

% Input parameters:
% curve_obj -   This an object identifying the type of boundary
%               curve on which Laplace's equation is being solved. It also
%               includes information regarding the definition of that
%               curve.
% num_plot_points -  The number of subdivisions for the graph of the
%               boundary curve.

% The parameterization interval is [0,L].
poly_curve = curve_obj.curve_parms;
L = poly_curve.Total_length;

h = L/num_plot_points;
plot_points = [0:h:L];
[x_plot,~,~,y_plot,~,~] = ...
    generate_curve_polygon(plot_points,curve_obj);

figure
plot(x_plot(1),y_plot(1),'h')
legend('The point corresponding to t=0','Location','Best')
hold on
plot(x_plot,y_plot,'m-')

int_pt = poly_curve.int_pt;
plot(int_pt(1),int_pt(2),'r*')
title('The polygonal region')
xlabel('The region is starlike with respect to the given point *')
axis equal
hold off

end % draw_bdy_polygon