function cans = bdyfcn(t,x,y,index_f)

% Evaluate the Dirichlet boundary data.  The array t contains
% parameterization points in the given in integration interval.  The
% points (x(i),y(i) correspond to t(i).

switch index_f
case 1
    cans = exp(x).*cos(y);
case 2
    cans = x;
case 3
    cans = x.^2 - y.^2;
case 4
    cans = ones(size(x));
case 5
    cans = exp(x).*sin(y);
end

end % bdyfcn