function cans = true_conjugate_fcn(x,y,index_f)

% Letting u denote the true solution of our boundary value problem, this
% routine gives the true function v that is conjugate to u. The conjugate
% function is unique up to the addition of an arbitrary constant.

switch index_f
case 1
    cans = exp(x).*sin(y);
case 2
    cans = y;
case 3
    cans = 2*x.*y;
case 4
    cans = zeros(size(x));
case 5
    cans = -exp(x).*cos(y);
end

end % true_conjugate_fcn