function bf_ans = bdyfcn(t_nodes,x_nodes,y_nodes,index_f)

% Evaluate the Dirichlet boundary data.  The array t_nodes contains
% parameterization points in the given in integration interval.  The points
% (x_nodes(i),y_nodes(i) correspond to t_nodes(i).

switch index_f
case 1
    bf_ans = exp(x_nodes).*cos(y_nodes);
case 2
    bf_ans = x_nodes;
case 3
    bf_ans = x_nodes.^2 - y_nodes.^2;
case 4
    bf_ans = ones(size(x_nodes));
case 5
    bf_ans = exp(x_nodes).*sin(y_nodes);
end

