function rho_n = eval_rho(t,abs_dr,cf)

% Evaluate the trig polynomial
%
%    2n+1
%    SUM cf(j) psi(t,j-n-1)
%    j=1
%
% which is of degree n.

n = (length(cf)-1)/2;
rho_n = zeros(length(t),1);
for j = 1:2*n+1
    m = j - n - 1;
    psi_t = basis(t,m);
    rho_n = rho_n + cf(j)*psi_t;
end
rho_n = rho_n./abs_dr;

end

