function B_matrix = generate_B_n(n,t,x_nodes,y_nodes,dx_nodes,dy_nodes)

% We evaluate the operator matrix associated with the operator B_n of
% (7.3.120) on page 342 of my integral equations text. The 2n+1 quadrature 
% points are evenly spaced over [0,2*pi] with spacing h.

M = 2*n+1; h = 2*pi/M;
B_matrix = zeros(M,M);

for i=1:M
    point_i = [t(i),x_nodes(i),y_nodes(i)];
    for j=1:M
        point_j = [t(j),x_nodes(j),y_nodes(j),...
                        dx_nodes(j),dy_nodes(j)];
        B_matrix(i,j) = kernel_B(point_i,point_j);
    end
end

B_matrix = (-h/pi)*B_matrix;

end % generate_B_n