function cans = normal_deriv_bdyf(t_nodes,x_nodes,y_nodes,dx_nodes,...
    dy_nodes,index_f)

% evaluate the outer normal derivative of the 'unknown' test function given
% in the program bdyfcn. the points (x_nodes(i),y_nodes(i) correspond to 
% t_nodes(i).

if is_row(x_nodes)
    x_nodes = x_nodes';
    y_nodes = y_nodes';
end

switch index_f
case 1
%   bdyfcn = exp(x_nodes).*cos(y_nodes);
    dx_bdyf = exp(x_nodes).*cos(y_nodes);
    dy_bdyf = -exp(x_nodes).*sin(y_nodes);   
case 2
%   bdyfcn = x_nodes;
    dx_bdyf = ones(size(x_nodes));
    dy_bdyf = zeros(size(x_nodes));
case 3
%   bdyfcn = x_nodes.^2 - y_nodes.^2;
    dx_bdyf = 2*x_nodes;
    dy_bdyf = -2*y_nodes;
case 4
%   bdyfcn = 1;
    dx_bdyf = zeros(size(x_nodes));
    dy_bdyf = zeros(size(x_nodes));
case 5
%   bdyfcn = exp(x_nodes).*sin(y_nodes);
    dx_bdyf = exp(x_nodes).*sin(y_nodes);
    dy_bdyf = exp(x_nodes).*cos(y_nodes);
end

normal = zeros(length(x_nodes),2);
denom = sqrt(dx_nodes.^2+dy_nodes.^2);
normal(:,1) = dy_nodes./denom; normal(:,2) = -dx_nodes./denom;
% normal = [dy_nodes,-dx_nodes]./sqrt(dx_nodes.^2+dy_nodes.^2);

cans = dx_bdyf.*normal(:,1)+dy_bdyf.*normal(:,2);

end % normal_deriv_bdyf