function test_evaluate_potential2_FirstKind(curve_obj,index_bdyf,test)

curve_parms = curve_obj.curve_parms;
L = curve_parms.length;

%Initialize based on computations from function galerkin_discrete.
cf = test.cf;
n = test.num_degree;
curve_parms = curve_obj.curve_parms;

disp(' ')
disp('Give the number of radial points, extending from the')
disp('"center point" to the boundary?')
n_rad = input('n_rad = (We suggest 10) ');
disp(' ')
disp('Give the number of points around the boundary.')
n_ang = input('n_ang = (We suggest 20) ');
disp(' ')
disp('Numerical integration will be used over the parameterization ')
disp('interval [0,2 pi] for the boundary. The trapezoidal rule will be')
disp('used. The number of nodes should be greater than twice the degree ')
disp('n of the approximation rho.')
num_trap = input('num_trap = ');

r = 0:1/n_rad:1;
th = 0:L/n_ang:L;

int_pt = curve_parms.int_pt;
X = zeros(n_ang+1,n_rad+1); Y = zeros(n_ang+1,n_rad+1);
for i=1:n_ang+1
    [xbdy,~,~,ybdy,~,~] = generate_curve(th(i),curve_obj);
    X(i,:) = (1-r)*int_pt(1) + r*xbdy;
    Y(i,:) = (1-r)*int_pt(2) + r*ybdy;
end

potential = zeros(n_ang+1,n_rad+1);
% Calculate potential at points interior to region.
potential(:,1:n_rad) = evaluate_potential_FirstKind(X(:,1:n_rad),...
                     Y(:,1:n_rad),cf,num_trap,curve_obj);
% Calculate potential at points on the boundary.
potential(:,n_rad+1) = bdyfcn(th',X(:,n_rad+1),Y(:,n_rad+1),index_bdyf);
potential = real(potential);

true_value = bdyfcn([],X,Y,index_bdyf);
error = true_value - potential;

figure
surf(X,Y,potential)
xlabel('x')
ylabel('y')
zlabel('u')
title(['The discrete Galerkin approximate solution u_n(x,y): n = ',...
    num2str(n)])
pause

max_err = max(max(abs(error)));
disp(' ')
disp(['Max error in the discrete Galerkin approximate solution = ',...
    num2str(max_err)])
figure
mesh(X,Y,-log10(abs(error)))
xlabel('x')
ylabel('y')
zlabel('-log10(error)')
title('The error in the discrete Galerkin approximate solution')

end % test_evaluate_potential2_FirstKind