function test_evaluate_potential_FirstKind(curve_obj,index_bdyf,test)

% curve_parms = curve_obj.curve_parms;
% L = curve_parms.length;

%Initialize based on computations from function galerkin_discrete.
cf = test.cf;
n = test.num_degree;
curve_parms = curve_obj.curve_parms;

disp(' ')
disp('Give a point on the boundary by means of its parameterization, say')
disp('t in [0,2 pi]. It is to be joined to the given interior star-like')
disp('centerpoint, and the solution along it is to be displayed along it.')
disp('The number t is to be chosen in the parameterization interval [0,2 pi]')
tbdy = input('t = ');
[xbdy,~,~,ybdy,~,~] = generate_curve(tbdy,curve_obj);
int_pt = curve_parms.int_pt;

disp(' ')
disp('Numerical integration will be used over the parameterization ')
disp('interval [0,2 pi] for the boundary. The number of nodes is to be')
disp('greater than twice the degree of the approximation rho_n.')
num_trap = input('Numerical integration parameter = ');

num_plot_points = 200; % Used in draw_bdy_with_line
draw_bdy_with_line(curve_obj,num_plot_points,tbdy)
pause

num_pts = 20; % Number of evaluation points along the line.
h = (.2/num_pts);
q = (0:h:1-5*h)';
x_eval = (1-q)*int_pt(1) + q*xbdy; y_eval = (1-q)*int_pt(2) + q*ybdy;

potential = evaluate_potential_FirstKind(x_eval,y_eval,cf,...
                        num_trap,curve_obj);
if is_row(potential)
    potential = potential';
end
true_value = bdyfcn(q,x_eval,y_eval,index_bdyf);
error = true_value - potential;

figure
semilogy(q,abs(error))
% min_err = min(abs(error));
title(['Error in potential solution: num:degree = ',num2str(n),...
    ',   num:trap = ',num2str(num_trap)])
xlabel(['q over [0,1):','  parameter t = ',num2str(tbdy),...
    ',   trap nodes over [0,2 pi] = ',num2str(num_trap)])
format short

end % test_evaluate_potential_Nystrom

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function tf_val = is_row(v)

% Return TRUE if v is a row vector. Otherwise, return FALSE.  
% If v is a column vector, then FALSE is returned.

[n1,n2] = size(v);
if n1 == 1 && n2 >= 1
    tf_val = true;
else
    tf_val = false;
end

end % is_row