function bfcn_val = bdyfcn(t,x,y,index_f)

% Evaluate the Dirichlet boundary data.  The array t contains
% parameterization points in the given in integration interval.  The points
% (x(i),y(i) correspond to t(i).

switch index_f
case 1
    bfcn_val = exp(x).*cos(y);
case 2
    bfcn_val = x;
case 3
    bfcn_val = x.^2 - y.^2;
case 4
    bfcn_val = ones(size(x));
case 5
    bfcn_val = exp(x).*sin(y);
end

end % bdyfcn
