function K_matrix = generate_K_Nystrom(num_trap,x_nodes,y_nodes,...
        dx_nodes,dy_nodes,d2x_nodes,d2y_nodes)

% We evaluate the kernel function K(t,s) with t and s quadrature node 
% points.  The quadrature points are evenly spaced over [0,L].
K_matrix = zeros(num_trap,num_trap);

for i=1:num_trap
    point_i = [x_nodes(i),y_nodes(i)];
    for j=1:num_trap
        point_j = [x_nodes(j),y_nodes(j),dx_nodes(j),dy_nodes(j),...
            d2x_nodes(j),d2y_nodes(j)];
        K_matrix(i,j) = kernel_Nystrom(point_i,point_j);
    end
end

end % generate_K_Nystrom