function cans = normal_deriv_bdyf(t,x,y,dx,dy,index_bdyf)

% Evaluate the Dirichlet boundary data.  The array t contains
% parameterization points in the given in integration interval.  The points
% (x(i),y(i) correspond to t(i).

if is_row(x)
    x = x';
    y = y';
end

switch index_bdyf
case 1
%   bdyfcn = exp(x).*cos(y);
    dx_bdyf = exp(x).*cos(y);
    dy_bdyf = -exp(x).*sin(y);   
case 2
%   bdyfcn = x;
    dx_bdyf = ones(size(x));
    dy_bdyf = zeros(size(x));
case 3
%   bdyfcn = x.^2 - y.^2;
    dx_bdyf = 2*x;
    dy_bdyf = -2*y;
case 4
%   bdyfcn = 1;
    dx_bdyf = zeros(size(x));
    dy_bdyf = zeros(size(x));
case 5
%   bdyfcn = exp(x).*sin(y);
    dx_bdyf = exp(x).*sin(y);
    dy_bdyf = exp(x).*cos(y);
end

normal = zeros(length(x),2);
denom = sqrt(dx.^2+dy.^2);
normal(:,1) = dy./denom; normal(:,2) = -dx./denom;
% normal = [dy,-dx]./sqrt(dx.^2+dy.^2);

cans = dx_bdyf.*normal(:,1)+dy_bdyf.*normal(:,2);

end % normal_deriv_bdyf