function ans_bdyf = bdyfcn_int(point_orig,index_f)

% Evaluate the Dirichlet boundary data.  The structure 'point_orig' 
% contains parameterization points on the boundary curve. In particular,
% the arrays 'point_orig.x' and 'point_orig.y' contain the coordinates
% corresponding to the parameterization points in 'point_orig.t'.

x_nodes = point_orig.x; y_nodes = point_orig.y; 

switch index_f
case 1
%   bdyfcn = exp(x)cos(y)
    ans_bdyf = exp(x_nodes).*cos(y_nodes)-1;
case 2
%   bdyfcn = x
    ans_bdyf = x_nodes;
end

end % bdyfcn_int