function cans = normal_deriv_bdyf(point_orig,index_f)

% Evaluate the Neumann boundary data on the original boundary curve. This
% is used to produce the Neumann boundary data for the Kelvin transformed
% boundary curve.

x = point_orig.x; y = point_orig.y;
dx = point_orig.dx; dy = point_orig.dy;

switch index_f
case 1
%   u = exp(x).*cos(y);
    dx_u = exp(x).*cos(y);
    dy_u = -exp(x).*sin(y);
case 2
%   u = x
    dx_u = ones(size(x));
    dy_u = zeros(size(x));
end

% Create inner normal to boundary curve
normal = zeros(length(x),2);
denom = sqrt(dx.^2+dy.^2);
normal(:,1) = -dy./denom; normal(:,2) = dx./denom;
% normal = [-dy,dx]./sqrt(dx.^2+dy.^2);

% Create normal derivative.
cans = dx_u.*normal(:,1)+dy_u.*normal(:,2);

end % normal_deriv_bdyf